Subject: Re: [SWIPL] Extensions to ActiveX DLL

From: Philip Warner <[email-masked]>
Date: Sat, 29 Sep 2001 00:02:06 +1000

At 14:47 27/09/01 +0100, Paul Singleton wrote:
>Philip Warner wrote:
>
>> Thanks to Douglas R. Miles, I now have the source for the ActiveX DLL for
>> SWIPL; I would be interested in comments from anybody who has used (or
>> considered using) the library. 
>
>
>I considered using this, but concluded that the way it converted ActiveX 
>data values (and object refs) to and from Prolog was inconsistent.
>
>I spent a lot of time reimplementing it, but eventually gave up, 
>deciding I was unlikely ever to finish it :-) (in any sense, but 
>especially, produce something useful and memory-safe)
>

Are we talking at cross-purposes here? Your comments seem to relate to the
ActiveX integration into SWIPL, whereas I am talking about the PROLOG.DLL
library for accessing prdicates via ActiveX? Or have I missed something?

----------------------------------------------------------------
Philip Warner                    |     __---_____
Albatross Consulting Pty. Ltd.   |----/       -  \
(A.B.N. 75 008 659 498)          |          /(@)   ______---_
Tel: (+61) 0500 83 82 81         |                 _________  \
Fax: (+61) 0500 83 82 82         |                 ___________ |
Http://www.rhyme.com.au          |                /           \|
                                 |    --________--
PGP key available upon request,  |  /
and from pgp5.ai.mit.edu:11371   |/